GuidesAPI EndpointsAPI Changelog
Live AI Demo
API Endpoints

🧠 Search Profiles indexed in Sources

This endpoint allows you to Search Profiles.

Query Params
string
required

The list of the keys of the Sources containing the targeted Profiles. Example : ["xxx", "yyy", "zzz"]

string
enum

Filter Profiles by their stage: new, yes , later, no. If not provided the results will includes all stage values.

Allowed:
string
Defaults to 1

The number of the current results' page.

string
Defaults to 30

The number of results per page

string
enum
Defaults to desc

Order results by asc, or desc.

Allowed:
string
enum

Sort results by searching, created_at, updated_at, location, location_experience, location_education.

Allowed:
string

Set a minimum creation date.

string

Set a maximum creation date.

string

Filter Profiles by their name.

string

Filter Profiles by their email.

string

Filter Profiles by their location address. Example : {"lat":47.21812, "lng":-1.55306}

int32

Set a radius around the Profiles' location address (in Km).

string

Filter Profiles by keywords in their summary section. Example : ["xxx", "yyy", "zzz"]

string

Filter Profiles by keywords in the full text. Example : ["xxx", "yyy", "zzz"]

boolean
Defaults to false

If enabled, this feature enriches the search by including synonyms of the keywords specified in text_keywords, broadening the search results.

string

Filter Profiles by keywords in their experiences' titles and descriptions. Example : ["xxx", "yyy", "zzz"]

string

Filter Profiles by their experiences' locations. Example : {"lat":47.21812, "lon":-1.55306}

int32

Set a radius around the educations' locations (in Km)

int32

Set a minimum number of years of experience.

int32

Set a maximum number of years of experience.

string

Filter Profiles by keywords in their educations' titles and descriptions. Example : ["xxx", "yyy", "zzz"]

string

Filter Profiles by their educations locations. Example : {"lat":47.21812, "lon":-1.55306}

int32

Set a radius around the educations' locations (in Km).

int32

Set a minimum number of years of education.

int32

Set a maximum number of years of education.

string

Filter results by a list of skills names and their values. Example : [{"name":"python", "value":null}]

string

Filter results by a list of languages names and their values. Example : [{"name":"english", "value":null}]

string

Filter results by a list of interest names and their values. Example : [{"name":"sport", "value":null}]

string

Filter results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"1"}]]

string

Exclude results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"0"}]]

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json